summaryrefslogtreecommitdiffstats
path: root/tests/without-etc-resolv-conf-and-etc-hostname
diff options
context:
space:
mode:
Diffstat (limited to 'tests/without-etc-resolv-conf-and-etc-hostname')
-rw-r--r--tests/without-etc-resolv-conf-and-etc-hostname14
1 files changed, 14 insertions, 0 deletions
diff --git a/tests/without-etc-resolv-conf-and-etc-hostname b/tests/without-etc-resolv-conf-and-etc-hostname
new file mode 100644
index 0000000..1d3dfef
--- /dev/null
+++ b/tests/without-etc-resolv-conf-and-etc-hostname
@@ -0,0 +1,14 @@
+#!/bin/sh
+set -eu
+export LC_ALL=C.UTF-8
+if [ ! -e /mmdebstrap-testenv ]; then
+ echo "this test modifies the system and should only be run inside a container" >&2
+ exit 1
+fi
+trap "rm -f /tmp/debian-chroot.tar" EXIT INT TERM
+rm /etc/resolv.conf /etc/hostname
+{{ CMD }} --mode={{ MODE }} --variant=apt {{ DIST }} /tmp/debian-chroot.tar {{ MIRROR }}
+{ tar -tf /tmp/debian-chroot.tar;
+ printf "./etc/hostname\n";
+ printf "./etc/resolv.conf\n";
+} | sort | diff -u tar1.txt -